<html>
<!-- Load TensorFlow.js. This is required to use MobileNet. -->
<script src="https://cdn.jsdelivr.net/npm/@tensorflow/tfjs@0.11.7"> </script>
<!-- Load the MobileNet model. -->
<script src="https://cdn.jsdelivr.net/npm/@tensorflow-models/mobilenet@0.1.1"> </script>

<link class="jsbin" href="http://ajax.googleapis.com/ajax/libs/jqueryui/1/themes/base/jquery-ui.css" rel="stylesheet" type="text/css" />
<script class="jsbin" src="http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script>
<script class="jsbin" src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.0/jquery-ui.min.js"></script>
<meta charset=utf-8 />
<!-- Replace this with your image. Make sure CORS settings allow reading the image! -->
<!-- <img id="img" src="specs.jpg" ></img>-->

<!-- Place your code in the script tag below. You can also use an external .js file -->
<script>
  // Notice there is no 'import' statement. 'mobilenet' and 'tf' is
  // available on the index-page because of the script tag above.
var table="";
  function search(){
  console.log('Search initiated:');
  const blah = document.getElementById('blah');
 // Load the model.
    mobilenet.load().then(model => {
    // Classify the image.
    model.classify(blah).then(predictions => {
      console.log('Predictions: ');
      console.log(predictions);
      table += "<table border='2'>"
  for(var data in predictions) {
	var responseData= predictions[data];
       table += "<tr><td>" + responseData.className + "</td></tr>"+ "<tr><td>" + responseData.probability + "</td></tr>";
      //  $('ul').append('<li><h1>' + responseData.className + '</h1><p>' + responseData.probability '</p></li>');
	console.log( "response 2133"+responseData.className);
        
   }
	table += "</table>"   
        document.getElementById('t').innerHTML = table;
     //document.getElementById('t').innerHTML = responseData.className;
    });
  });

} 
  /*const blah = document.getElementById('blah');

  // Load the model.
    mobilenet.load().then(model => {
    // Classify the image.
    model.classify(blah).then(predictions => {
      console.log('Predictions: ');
      console.log(predictions);
    });
  });*/


function readURL(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();

            reader.onload = function (e) {
                $('#blah')
                    .attr('src', e.target.result)
                    .width(500)
                    .height(300);
            };

            reader.readAsDataURL(input.files[0]);
        }
    }
</script>
<body>
 <input type="file" name="pic" accept="image/*" onchange="readURL(this);"></body>
<img id="blah" src="#" alt="your image" />
<button onclick="search();">search</button>

<p id ="t"></p>

</body>
</html>
